Subject: [Xml-sg-cmt] question re: ref to a BCP or STD that contains one RFC

From: Alice Russo <[email-masked]>
Date: Mon, 17 May 2021 14:24:43 -0700

Greetings,

When referencing a subseries identifier (BCP or STD) that contains only one RFC, is it better to 
A) use <referencegroup> around a single <reference> (as done in the citation library [1]) or 
B) create a reference with the desired target (using the <reference> for the RFC as the starting point)?

For example (where BCP 145 contains exactly one RFC):

A) would be [1] https://xml2rfc.ietf.org/public/rfc/bibxml9/reference.BCP.0145.xml

B) would be the same as the RFC reference
(https://xml2rfc.tools.ietf.org/public/rfc/bibxml/reference.RFC.8085.xml)
but with a one-line change:
OLD: <reference anchor="RFC8085" target="https://www.rfc-editor.org/info/rfc8085">
NEW: <reference anchor="BCP145" target="https://www.rfc-editor.org/info/bcp145">
(We assume using <displayreference> is not an option bc of the change to the target.)

Rationale: Render a reference that matches the style guide
(https://datatracker.ietf.org/doc/html/draft-flanagan-7322bis-07#section-4.8.6.2).

If (A) is right, then should it do the right thing for a the section-specific xref?
 e.g. <xref section="5.2" sectionFormat="of" target="BCP145"/>
would yield "Section 5.2 of [BCP145]" where it links to the section in RFC 8085
(desired output https://www.rfc-editor.org/rfc/rfc8085#section-5.2).
I.e., it's the same effect as <xref section="5.2" sectionFormat="of" target="RFC8085"/>.
(Related ticket: https://trac.ietf.org/trac/xml2rfc/ticket/639)

Thanks,
Alice